ros-noetic-rospilot (1.6.0-1buster) buster; urgency=high

  * Add support for Noetic
  * Update to Python3
  * Upgrade jquery to fix CVE
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 06 Sep 2020 07:00:00 -0000

ros-noetic-rospilot (1.5.6-1buster) buster; urgency=high

  * Avoid thread exhaustion in h264 server
    Previously, connections didn't timeout, so a badly behaved client
    could exhaust all the threads on the host
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 30 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.5-1buster) buster; urgency=high

  * Fix web_ui.py serving of nodejs dependencies
  * Upgrade Bootstrap to fix CVEs
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.4-1buster) buster; urgency=high

  * Update vendored NPM deps
  * Remove hard npm dependency
    npm deps must now be vendored
  * Remove Highcharts and accelerometer graph page
  * Added missing wget dependency to package.xml that was found in first_time_setup.sh.
  * Improve cold start H264 streaming to new clients
  * Refactor H264 streaming to allow Android app support
  * Contributors: Anders Fischer, Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 17 Feb 2019 08:00:00 -0000

ros-noetic-rospilot (1.5.3-1buster) buster; urgency=high

  * Fix dnsmasq dependency on wlan device
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 08 Oct 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.2-1buster) buster; urgency=high

  * Fix compiler warnings
  * Fix SPS & PPS ordering when using MFC encoder
    SPS should always be before PPS, as PPS references the SPS packet
  * Remove unnecessary C++11 compiler flag
  * Fix undefined behavior in AVPacket buffer management
    Use the provided av_new_packet() and av_packet_unref()
    functions instead of manual management of .data field
  * Fix undefined behavior in memory deallocation
    This buffer is an array, and therefore must be deallocated with delete[]
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 22 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.1-1buster) buster; urgency=high

  * Fix wlan configuration on Bionic
  * Fix Systemd service to work on Melodic
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 03 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.0-1buster) buster; urgency=high

  * Upgrade to Angular 5.2.11
  * Upgrade Highcharts
  * Set both pts and dts in video recorder
  * Properly set time_base on video recorder codec
  * Remove usage of deprecated encoding/decoding functions
  * Remove usage of deprecated AVPicture
  * Fix AVStream::codec deprecation warnings
  * Add error handling for call to avformat_write_header()
  * Cleanup VideoRecorder::stop()
  * Switch Travis to build melodic
  * Update ffmpeg usage to compile against newest version
  * Update environment variable to PGPASSWORD
  * Switch to Melodic-friendly dependencies
  * Hack: monkey patch Mapnik to fix Tilestache dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 04 Aug 2018 07:00:00 -0000

ros-noetic-rospilot (1.4.1-1buster) buster; urgency=high

  * Switch to HTTPS for openstreetmap.org
  * Workaround camera drivers that don't set keyframe flag
  * Add support for reading raw YUV from camera
  * Refactor pixel format handling
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Mar 2018 08:00:00 -0000

ros-noetic-rospilot (1.4.0-1buster) buster; urgency=high

  * Add "follow me" mode
  * Add support for direct h264 capture from camera
  * Improve automatic camera selection
  * Add vibration data to display
    Also includes accelerometer clipping counts
  * Add support for battery voltage monitoring
  * Enable pre-release tests
  * Add Travis integration
  * Refactor handling of NPM dependencies
  * Add native Systemd service
  * Set dns search domain for better compatibility
  * Update wifi setup script with proper dnsmasq dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 19 Nov 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.8-1buster) buster; urgency=high

  * Remove dependency on nodejs-legacy
    Also remove usage of vendored npm version
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 13 Sep 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.7-1buster) buster; urgency=high

  * Update for newest NPM
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Jun 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.6-1buster) buster; urgency=high

  * Add support for Pixhawk2.1
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 29 May 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.5-1buster) buster; urgency=high

  * Add missing include needed on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 12 Mar 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.4-1buster) buster; urgency=high

  * Rescale PTS properly
  * Fix usage of deprecated API
  * Fix usage of invalid iterator
  * Add more logging to camera node
  * Fix data structure corruption due to race
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.3-1buster) buster; urgency=high

  * Fix build on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 24 Aug 2016 07:00:00 -0000

ros-noetic-rospilot (1.3.2-1buster) buster; urgency=high

  * Support building on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 24 Aug 2016 07:00:00 -0000

ros-noetic-rospilot (1.3.1-1buster) buster; urgency=high

  * Fix build on Wily
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 21 Aug 2016 07:00:00 -0000

ros-noetic-rospilot (1.3.0-1buster) buster; urgency=high

  * Initialize source frame data structure
  * Update init script to Kinetic
  * Set CherryPy to production instead of manually configuring it
  * Use npm for build
  * Use more canonical license string
  * Fix scoping in set waypoint callback
  * Improve mavlink wait logic to be interruptable
  * Fix retry logic for serial mavlink
  * Migrate to Angular 2.0
  * Add timeout to waypoint fetching
    Previously, if a message was lost waypoints would no longer be fetched
    and new ones could not be set
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 20 Aug 2016 07:00:00 -0000

ros-noetic-rospilot (1.2.0-1buster) buster; urgency=high

  * Add people detector using OpenCV
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 14 May 2016 07:00:00 -0000

ros-noetic-rospilot (1.1.1-1buster) buster; urgency=high

  * Copy files to /etc as part of setup script instead of package install
  * Fix warnings and installation of mapnik files
  * Add missing python-serial dependency
  * Cleanup linking of libturbojpeg
    This should fix compiling on other platforms like x86_32
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 31 Jan 2016 08:00:00 -0000

ros-noetic-rospilot (1.1.0-1buster) buster; urgency=high

  * Auto-detect camera device path
  * Improve video streaming FPS ~2x
  * Add support for hardware h264 acceleration on Odroid XU4
  * Add FPS counter to camera page
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 18 Jan 2016 08:00:00 -0000

ros-noetic-rospilot (1.0.3-1buster) buster; urgency=high

  * Fix race freeing background image sink resources
  * Fix bad free on older versions of libav
  * Improve formatting of first_time_setup.sh output
  * Update readme
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 23 Aug 2015 07:00:00 -0000

ros-noetic-rospilot (1.0.2-1buster) buster; urgency=high

  * Remove unnecessary imports
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 12 Aug 2015 07:00:00 -0000

ros-noetic-rospilot (1.0.1-1buster) buster; urgency=high

  * Fix compilation error on vivid and utopic
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 09 Aug 2015 07:00:00 -0000

ros-noetic-rospilot (1.0.0-1buster) buster; urgency=high

  * Switch to H264 codec for streaming and recording
  * Fix a variety of minor bugs
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 08 Aug 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.5-1buster) buster; urgency=high

  * Tune MFC encoder parameters
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 31 May 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.4-1buster) buster; urgency=high

  * Fix hardware encoder
  * Fix detection of MFC
  * Update service script for jade
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Fri, 29 May 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.3-1buster) buster; urgency=high

  * Fix deprecation warnings
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 02 May 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.2-1buster) buster; urgency=high

  * Change CodecID to AVCodecID
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.1-1buster) buster; urgency=high

  * Switch to libnl 3.0
  * Update to new libavconv constants
  * Improve error handling in setup script
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 29 Apr 2015 07:00:00 -0000

ros-noetic-rospilot (0.2.0-1buster) buster; urgency=high

  Main features:
  * Added map server to replace Google Maps
  * Added support for recording in h264 with hardware acceleration
  * Added support for Odroid Show
  Details:
  * Fix restart command in init.d script
  * Move services and params out of global namespace
  * Fix loading of video device selector
  * Add hostapd setup to first_time_setup script
  * Add setting in UI page to change codec
  * Fix packaging of camera_node
  * Optimize memory access when using MFC encoder
  * Fix mjpeg recording
  * Remove usage of tempnam, and cleanup some other code
  * Fix usage of avcodec_encode_video2
  * Replace usage of deprecated function
  * Split camera node source code into cpp files
  * Add (experimental) support for Exynos MFC
  * Fix h264 encoding
  * Improve media path expansion
  * Fix bug in auto resolution detection
  * Add auto-adjustment of height and width
  * Wait for device to connect before writing to Odroid Show
  * More code cleanup
  * Code cleanup
  * Fix debian package build
  * Add support for recording with mjpeg codec
  * Remove old vlc recorder node
  * Add recording in h264 support to camera node
  * Add support for usb cameras to camera node
  * Refactor ptp node
  * Media improvements
    Fix container format of recorded videos
    Add button to delete media
  * Add support for Odroid Show
  * Add thumbnails for videos
  * Set queue_size in mavlink node
  * Add flight mode to BasicStatus message and web ui
  * Fix race condition in settings page
  * Add carto style to osm2pgsql command
  * Add auto detection of APM and baudrate
  * Implement local mapnik server
    Also remove our dependency on Google Maps, so that we can run the map
    even when there's no internet connection
  * Rename variable to avoid shadowing
  * Fix image capture from webcam
  * Fix lint errors
  * Improve internet connection detection logic
  * Don't try to load google maps if there's no internet connection
  * Reduce chart update rate to 2Hz to improve performance
  * Add source maps for Angular and jQuery
  * Add button to shutdown on-board computer
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-noetic-rospilot (0.1.1-1buster) buster; urgency=high

  * Fix debian package build
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 27 Aug 2014 07:00:00 -0000

ros-noetic-rospilot (0.1.0-1buster) buster; urgency=high

  * Add PTP support
  * Add init.d script to auto start rospilot
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Tue, 26 Aug 2014 07:00:00 -0000

ros-noetic-rospilot (0.0.4-1buster) buster; urgency=high

  * Use more standard compliant glob syntax
  * Make .gitignore less aggressive
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 05 Jul 2014 07:00:00 -0000

ros-noetic-rospilot (0.0.3-1buster) buster; urgency=high

  * Change web_ui to use pkg_resources for static assets
  * Add udev rule to installation targets
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 28 Jun 2014 07:00:00 -0000

ros-noetic-rospilot (0.0.2-1buster) buster; urgency=high

  * Remove pymavlink dependency
  * Switch to a library for the HMC5883 communication
  * Add more documentation
  * Add support for MPU6050 to firmware
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 15 Jun 2014 07:00:00 -0000

ros-noetic-rospilot (0.0.1-1buster) buster; urgency=high

  * Initial release of rospilot
  * Contributors: Christopher Berner, bordicon, cberner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 02 Jun 2014 07:00:00 -0000


